"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.snakeCasedField = exports.snakeCasedFields = void 0;
const change_case_1 = require("change-case");
const snakeCasedFields = (fields) => fields.map(exports.snakeCasedField);
exports.snakeCasedFields = snakeCasedFields;
const snakeCasedField = (f) => {
    if (f.indexOf(' as ') > -1)
        return f;
    const sf = change_case_1.snakeCase(f);
    return sf === f ? f : `${sf} as "${f}"`;
};
exports.snakeCasedField = snakeCasedField;
//# sourceMappingURL=dbUtils.js.map